/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLStyleElement_H__
#define __GdomHTMLStyleElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLStyleElement GdomHTMLStyleElement;
typedef struct _GdomHTMLStyleElementClass GdomHTMLStyleElementClass;


#define GDOM_TYPE_HTML_STYLE_ELEMENT            (gdom_html_style_element_get_type())
#define GDOM_HTML_STYLE_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_STYLE_ELEMENT, GdomHTMLStyleElement))
#define GDOM_HTML_STYLE_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_STYLE_ELEMENT, GdomHTMLStyleElement)Class)
#define GDOM_IS_HTML_STYLE_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_STYLE_ELEMENT))
#define GDOM_IS_HTML_STYLE_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_STYLE_ELEMENT))
#define GDOM_HTML_STYLE_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_STYLE_ELEMENT, GdomHTMLStyleElementClass))

typedef struct _GdomHTMLStyleElementPrivate GdomHTMLStyleElementPrivate;

struct _GdomHTMLStyleElement {
    GdomHTMLElement parent_instance;
    GdomHTMLStyleElementPrivate *priv;
};

struct _GdomHTMLStyleElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_style_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLStyleElement_H__ */
